// 给定一个long类型的变量，赋值0x010203040506, 请按单字节方式输出这个变量的数值。
#include <stdio.h>

int main()
{
    long m = 0x010203040506;
    char *p = (char *)&m;
    printf("sizeof(long) = %lu\n", sizeof(long)); // 8
    printf("sizeof(char) = %lu\n", sizeof(char)); // 1

    while (*p) // 当指针指向的值为 0 时，表示已经到达 long 类型变量的末尾
    {
        printf("%x ", *p); // 输出指针指向的值
        p++;               // 指针向后移动一个字节
    }
    printf("\n");
    return 0;
}